package server

import (
	"asapo_common/utils"
)

var listRoutes = utils.Routes{
	utils.Route{
		"GetNext",
		"Get",
		"/database/{dbname}/{stream}/{groupid}/next",
		routeGetNext,
	},
	utils.Route{
		"GetSize",
		"Get",
		"/database/{dbname}/{stream}/size",
		routeGetSize,
	},
	utils.Route{
		"GetLast",
		"Get",
		"/database/{dbname}/{stream}/{groupid}/last",
		routeGetLast,
	},
	utils.Route{
		"GetID",
		"Get",
		"/database/{dbname}/{stream}/{groupid}/{id}",
		routeGetByID,
	},
	utils.Route{
		"GetMeta",
		"Get",
		"/database/{dbname}/{stream}/0/meta/{id}",
		routeGetMeta,
	},
	utils.Route{
		"CreateGroup",
		"Post",
		"/creategroup",
		routeCreateGroupID,
	},
	utils.Route{
		"QueryImages",
		"Post",
		"/database/{dbname}/{stream}/0/queryimages",
		routeQueryImages,
	},
	utils.Route{
		"ResetCounter",
		"Post",
		"/database/{dbname}/{stream}/{groupid}/resetcounter",
		routeResetCounter,
	},
	utils.Route{
		"Health",
		"Get",
		"/health",
		routeGetHealth,
	},
}
